# VehicleCache Struct Reference

Cached oftenly queried (NewGRF) values. More...

`#include <vehicle_base.h>`

## Data Fields
uint8 | cache_valid
| Whether the caches are valid.
uint32 | cached_var40
| Cache for NewGRF var 40.
uint32 | cached_var41
| Cache for NewGRF var 41.
uint32 | cached_var42
| Cache for NewGRF var 42.
uint32 | cached_var43
| Cache for NewGRF var 43.

## Detailed Description

Cached oftenly queried (NewGRF) values.

Definition at line 46 of file vehicle_base.h.

The documentation for this struct was generated from the following file:

- src/vehicle_base.h